import { ICartRepository } from '@/application/ports/ICartRepository';

/**
 * USE CASE — Change quantity or remove when zero
 */
export class UpdateCartQuantityUseCase {
  constructor(private readonly cart: ICartRepository) {}

  execute(id: string, quantity: number): void {
    this.cart.updateQuantity(id, quantity);
  }
}